Download it now!
Bug 74744 - Other: Publish Date 'docProperty' from word docx blank when exported as PDF
Summary: Other: Publish Date 'docProperty' from word docx blank when exported as PDF
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2014-02-09 11:38 UTC by Steve Bickle
Modified: 2019-12-03 14:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
A word document with a publish date set to 09/02/2014 (UK date format) (41.65 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-09 11:38 UTC, Steve Bickle
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Bickle 2014-02-09 11:38:11 UTC
Created attachment 93705 [details]
A word document with a publish date set to 09/02/2014 (UK date format)

Problem description: 
Word docx document imported in Writer. The 'Publish Date' document property does not display 

Steps to reproduce:
1. In Word 2010 create a document. 
2. Set the 'Publish Date' document property. 
3. On a page in the document insert the property 
4. Save the document in the default docx format
5. Close Word
6. Open the document with Writer 

Current behavior: The 'Publish Date' field shows as blank selection control, on mouse over the date appears as a pop-up prompt. On export to pdf it appears as a blank editable field. On print it appears as a blank box outline, where the field should display. 

Expected behavior: The 'Publish Date' field value should show: on screen during viewing or editing, in the pdf export, in the printed document.

              
Operating System: Windows 7
Version: 4.2.0.4 release
Comment 1 Julien Nabet 2014-02-09 11:52:25 UTC
On pc Debian x86-64 with master sources updated yesterday, I can reproduce this.
However if I put the cursor on the control, the date appears as "tip text"

I noticed these console logs:
warn:legacy.osl:10498:1:oox/source/docprop/docprophandler.cxx:323: For now unexpected tags are ignored!
warn:legacy.osl:10498:1:oox/source/docprop/docprophandler.cxx:323: For now unexpected tags are ignored!
warn:legacy.osl:10498:1:oox/source/docprop/docprophandler.cxx:323: For now unexpected tags are ignored!
warn:legacy.osl:10498:1:oox/source/docprop/docprophandler.cxx:323: For now unexpected tags are ignored!
warn:legacy.osl:10498:1:oox/source/docprop/docprophandler.cxx:323: For now unexpected tags are ignored!
warn:writerfilter:10498:1:writerfilter/source/dmapper/FontTable.cxx:147: FontTable::lcl_sprm: unhandled token: 92949
warn:writerfilter:10498:1:writerfilter/source/dmapper/StyleSheetTable.cxx:1157: Some style properties could not be set: Unknown property: CharShadingValue
warn:writerfilter:10498:1:writerfilter/source/dmapper/StyleSheetTable.cxx:1157: Some style properties could not be set: Unknown property: ParaInteropGrabBag
warn:svl:10498:1:svl/source/items/style.cxx:256: StyleSheet-Follow not found
warn:writerfilter:10498:1:writerfilter/source/dmapper/DomainMapper.cxx:2559: unhandled w:dateFormat value
warn:legacy.osl:10498:1:oox/source/helper/storagebase.cxx:71: StorageBase::StorageBase - missing base input stream
Comment 2 Joel Madero 2015-05-02 15:42:11 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-06-20 15:15:27 UTC
The field is ok in LibO, but empty in PDF (tried tagged PDF, too).

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-09-20 10:11:32 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:14:28 UTC
Dear Steve Bickle,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug